Charges

The Charge resource contains the details of a charge.

Gets a charge by ID

get

Retrieves the details of a charge. You must supply the unique identifier of the charge.

Path parameters
idstringRequired

Charge ID

Responses
chevron-right
200

OK.

application/json
idstringRead-onlyOptional

Unique identifier of the charge.

Example: a6809a63-e6a9-4016-abbc-f33d19fccb5b
createdTimestring · date-timeRead-onlyOptional

Time when the charge was created.

currencystringOptional

Three-letter ISO currency code.

Example: USD
amountnumber · doubleOptional

Amount representing how much to charge. The minimum amount is $0.50 US or equivalent in charge currency.

Example: 1180.26
statestring · enumOptional

The status of the charge, one of pending, succeeded or failed.

Example: pendingPossible values:
orderIdstringOptional

ID of the order this charge is for if one exists.

Example: 9986340012
sourceIdstringOptional

ID of the source used to create this charge.

Example: 9986340012
failureCodestringOptional

Error code identifying reason for charge failure.

Example: a failure code
failureMessagestringOptional

Error message describing reason for charge failure.

Example: a failure message
paymentSessionIdstringOptional

Tracks the process of collecting a payment.

Example: 8cecaa32-f692-44cc-b103-4cf24dc93913
capturedbooleanOptional

Indicates if the charge has been captured.

Example: false
refundedbooleanOptional

Indicates if the charge has been refunded.

Example: false
typestring · enumOptionalPossible values:
liveModebooleanOptional

Has the value true if the object exists in live mode and the value false it the object exists in test mode.

Example: true
get
/charges/{id}

Last updated